Skip to main content
POST
/
api
/
session
/
{sessionID}
/
move
Move session
curl --request POST \
  --url https://api.example.com/api/session/{sessionID}/move \
  --header 'Content-Type: application/json' \
  --data '
{
  "destination": {
    "directory": "<string>"
  },
  "moveChanges": true
}
'
import requests

url = "https://api.example.com/api/session/{sessionID}/move"

payload = {
"destination": { "directory": "<string>" },
"moveChanges": True
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({destination: {directory: '<string>'}, moveChanges: true})
};

fetch('https://api.example.com/api/session/{sessionID}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "_tag": "InvalidRequestError",
  "message": "<string>",
  "kind": "<string>",
  "field": "<string>"
}
{
"_tag": "UnauthorizedError",
"message": "<string>"
}
{
"_tag": "SessionNotFoundError",
"sessionID": "<string>",
"message": "<string>"
}

Path Parameters

sessionID
string
required
Pattern: ^ses

Body

application/json
destination
object
required
moveChanges
boolean | null

Response